import customtkinter 
from views.mainScreen import MainFrame
from controller.mainFrameController import MainFrameController
class Main(customtkinter.CTk):
    
    def __init__(self) -> None:
        super().__init__()
        # Grid-Konfiguration, um das Frame an die Größe anzupassen
        self.grid_rowconfigure(0, weight=1)
        self.grid_columnconfigure(0, weight=1)
        
        mainFrame = MainFrame(self)
        mainFrame.grid(row=0, column=0, padx=10, pady=10,sticky="nsew")
        controller_mainframe = MainFrameController(mainFrame)
        mainFrame.set_controller(controller_mainframe)
        
        self.title("VeracityAI")
        self.geometry("800x500")
        

if __name__ == "__main__":
    customtkinter.deactivate_automatic_dpi_awareness()
    customtkinter.set_default_color_theme('theme.json')
    customtkinter.set_appearance_mode("dark")
    app = Main()
    app.mainloop()